Returns all acknowledgments for current user
Returns all acknowledgments for current user. Permissions: All users.
Query Parameters
- Type: array of stringSigning
Actions - Type: stringFormat: date-timeDate
From the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: stringFormat: date-timeDate
Thru the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
Request Example for get/shiftworks/v1/Acknowledgments
curl /shiftworks/v1/Acknowledgments \
--header 'DCKey: YOUR_SECRET_TOKEN'
[
{
"ID": 1,
"UnitID": 1,
"UnitName": null,
"AcknowledgmentDate": "2026-10-16T20:55:07.577Z",
"AcknowledgmentDateEnd": "2026-10-16T20:55:07.577Z",
"Type": "S",
"SigningAction": "A",
"SigningTimeUtc": null
}
]